Get Surface
curl --request GET \
--url https://workflow.eu.confidence.dev/v1/surfaces/{surface} \
--header 'Authorization: Bearer <token>'import requests
url = "https://workflow.eu.confidence.dev/v1/surfaces/{surface}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://workflow.eu.confidence.dev/v1/surfaces/{surface}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"labels": [
{}
],
"deleteTime": {},
"owner": "<string>",
"reviews": {
"mandatory": true,
"reviewers": [
"<string>"
]
},
"metricConfig": {
"mandatoryMetrics": [
{
"metric": "<string>",
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED",
"successMetric": {
"minimumDetectableEffect": {
"value": "<string>"
}
},
"guardrailMetric": {
"nonInferiorityMargin": {
"value": "<string>"
}
}
}
],
"associatedMetrics": [
{
"metric": "<string>",
"successMetric": {
"minimumDetectableEffect": {
"value": "<string>"
}
},
"guardrailMetric": {
"nonInferiorityMargin": {
"value": "<string>"
}
},
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED"
}
],
"metrics": [
{
"metric": "<string>",
"successMetric": {
"minimumDetectableEffect": {
"value": "<string>"
}
},
"guardrailMetric": {
"nonInferiorityMargin": {
"value": "<string>"
}
},
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED",
"enforcementLevel": "ENFORCEMENT_LEVEL_UNSPECIFIED"
}
]
},
"automatedActions": [
{
"trigger": {
"activityTrigger": {
"kind": "<string>",
"resource": "<string>"
},
"stateTrigger": {
"state": "<string>",
"resource": "<string>"
}
},
"action": {
"executeFunctionAction": {
"function": "<string>",
"parameters": {}
},
"pagerdutyAction": {
"pdKey": "<string>",
"severity": "critical",
"title": "<string>",
"description": "<string>"
},
"transitionAction": {
"action": "<string>",
"parameters": {}
}
}
}
],
"stakeholders": [
{
"identity": "<string>",
"role": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Returns a Surface.
A surface that represents some area of an application that can be experimented on.
A human-readable name for the surface.
Time when the surface was first created.
Time when the surface was last updated.
Reference to the identity that created this surface.
Reference to the identity that last updated this surface.
The identifier for the surface, for example, `surfaces/ndcrhu0tzbin85xzpszv.
A description for what the surface represents in the application.
Custom labels for this surface.
Show child attributes
Show child attributes
If set, time when the surface was deleted.
The owner of the resource. If not set will default to the creator.
Surface config for experiment reviews.
Show child attributes
Show child attributes
Configuration for metrics the surface.
Show child attributes
Show child attributes
Actions to trigger once the metric starts tanking
Show child attributes
Show child attributes
People with specific roles or responsibilities for the surface, such as product or engineering leads.
Show child attributes
Show child attributes
Was this page helpful?

